Lists all properties

Permission level: read

GET /property

Operation id: PropertyService_ListProperties

Tags: PropertyService

Parameters

Query parameters

NameTypeRequiredDescription
includeDisabledbooleanNoInclude disabled properties. Default: false
pageSizeinteger (int32)NoRequested size of the next page of data. If not set, the default page size is 1000 for now to not break existing UI integrations, Required: false.
pageTokenstringNoMongoDB Field, describes the encoded page token for page traversal, Required: false
propertyCharacteristics.domainstringNoThe property is specific for this domain. Required = false
propertyCharacteristics.parentDomainstringNoThe parent domain. Required = false
propertyCharacteristics.parentPropertyKeystringNoThe parent property key. Required = false
propertyCharacteristics.parentPropertyValuestringNoThe parent property value. Required = false
propertyCharacteristics.parentScopestringNoThe parent scope. Required = false
propertyCharacteristics.parentTenantIdstringNoThe parent tenant id. Required = false
propertyCharacteristics.scopestringNoThe property is specific for this scope. Required = false
propertyCharacteristics.tenantIdstringNoThe property is specific for this tenant. Required = false
propertyFriendlyNamestringNoThe property's friendly name to filter by, Required: false
propertyKeystringNoThe propertyKey of the property to filter by, Required: false
propertyValueNamestringNoThe Value name of the property. this will always be converted to lowercase. Required = false
sortFieldstringNoSort field, valid values: propertyKey, propertyValue. Default: propertyKey, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
startsWithSingleCharacterbooleanNoAbility to search for a single starts with character, only applicable to property_value_name and property_friendly_name. Required: false, Default: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
propertyMapsarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "propertyMaps": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "properties": {
            "type": "object"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}